| GlsMap Toolkit 1.10.2

Classes | Public Member Functions | Protected Member Functions | List of all members
disti::AIFMapChartLayerCache Class Reference

`#include <aif_map_chart_cache.h>`

## Classes
class | LayerCacheEntry

## Public Member Functions
| AIFMapChartLayerCache (void)
virtual | ~AIFMapChartLayerCache ()
virtual void | UpdateLayer (const double resolution, const MapChartCellList &cellList)
virtual float | GetCacheSize (void) const
virtual float | GetCacheUsed ()
virtual void | SetCacheSize (const float memSize)

## Protected Member Functions
virtual float | CurrentSizeMeg ()

## Detailed Description

helper class for caching cells between layer changes

## Constructor & Destructor Documentation

## ◆ AIFMapChartLayerCache()

disti::AIFMapChartLayerCache::AIFMapChartLayerCache | ( | void |  | ) |
| inline

Ctor

## ◆ ~AIFMapChartLayerCache()

virtual disti::AIFMapChartLayerCache::~AIFMapChartLayerCache | ( |  | ) |
| inline virtual

Dtor - releases all cached cells

## Member Function Documentation

## ◆ CurrentSizeMeg()

float AIFMapChartLayerCache::CurrentSizeMeg | ( |  | ) |
| protected virtual

Returns
  Current size of the cache

## ◆ GetCacheSize()

virtual float disti::AIFMapChartLayerCache::GetCacheSize | ( | void |  | ) | const
| inline virtual

Get the memory storage amount (Megabytes)

Returns
  max number of layers to cache ( 0u if caching is disabled )

## ◆ GetCacheUsed()

virtual float disti::AIFMapChartLayerCache::GetCacheUsed | ( |  | ) |
| inline virtual

Returns
  The amount of cache used. Calls CurrentSizeMeg()

## ◆ SetCacheSize()

void AIFMapChartLayerCache::SetCacheSize | ( | const float | memSize | ) |
| virtual

Set the memory storage amount (megabytes)

Parameters

  memSize | Megabytes of the cache

## ◆ UpdateLayer()

void AIFMapChartLayerCache::UpdateLayer | ( | const double | resolution,
|  | const MapChartCellList & | cellList
| ) |  |
| virtual

update the given layer with the latest cells from GetCellList

Parameters

  resolution | The resolution of the given cell list
  cellList | latest cells from GetCellList for the layer

The documentation for this class was generated from the following files:

- aif_map_chart_cache.h
- aif_map_chart_cache.cpp